<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class SiteManagementContentField extends Model {
	use HasFactory, SoftDeletes;

	public $fillable = [
		'site_management_id',
		'site_management_component_id',
		'site_management_component_field_id',
		'site_management_field_type_id',
		'value',
	];

	function siteManagement() {
		return $this->belongsTo(SiteManagement::class);
	}

	function siteManagementComponentField() {
		return $this->belongsTo(SiteManagementComponentField::class);
	}

	function siteManagementComponent() {
		return $this->belongsTo(SiteManagementComponent::class);
	}
	function siteManagementFieldType() {
		return $this->belongsTo(SiteManagementFieldType::class);
	}
}
